# Firefly  

A mod for Kerbal Space Program that enhances reentry and aerodynamic effects.  

## Features  
Firefly completely replaces the stock aerodynamic visual effects with its own custom system.  

- Built-in compatibility with popular planet packs like RSS and KSRSS.  
- Allows planet pack creators to define custom visual effects for planets and moons.  
- Supports custom "envelopes" for individual parts.  
- Includes a set of template configs for planet packs, planets, and parts.  

For details on writing configs, creating envelopes, and other information, check the [wiki](https://github.com/M1rageDev/Firefly/wiki).  

## Dependencies  
The only **required** dependency is:  
- [ModuleManager](https://github.com/sarbian/ModuleManager)  

## Installation  
We recommend installing the mod via CKAN. If installing manually, place the `GameData` folder inside your Kerbal Space Program directory (merge if prompted). 

## Credits
The mod's icon and particle sprites were created by **thunderchild**, who has also made incredible concept arts for the mod and helped shape it the way it is now. The effects would definitely not look as good as they do now without him.

Massive thanks to **JonnyOThan** for making some really awesome optimizations to the mod's plugin and other support.

The core shader was based on **Leah Lindner's** [paper](https://leah-lindner.com/blog/atmospheric-entry/) describing a method of creating promising reentry VFX.
Without the paper, this mod would definitely not be possible.

Massive thanks to all the people mentioned above, as well as everyone from the early testing groups, and all the Patrons - without you the mod would probably be much different than it is now, or wouldn't exist at all :)

## Licensing
- Firefly and it's source code (both for the plugin and shaders) are licensed under GPL 3.0 (see [LICENSE](https://github.com/M1rageDev/Firefly/blob/dev/LICENSE)).
- All model and texture assets (.mu, .png, .dds  etc.) are All Rights Reserved.
